#ifndef CLIENT_H
#define CLIENT_H

#include <QTcpSocket>
#include <QObject>

class Client : public QTcpSocket
{
    Q_OBJECT
public:
    explicit Client(QObject *parent = 0);

private:
    QByteArray buffer;
    
signals:
    void rightAnswerS();
    void selectedQuestion(int i);
    void send(QString);
    void nickname(QString);

public slots:
    void processData();
    void sendData(const QString& text);
};

#endif // CLIENT_H
